package ink.wgink.module.activiti.pojo.vos.oa.nodemanage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: OaNodeManageVO
 * @Description: oa节点管理
 * @Author: wanggeng
 * @Date: 2022/4/4 11:06
 * @Version: 1.0
 */
@ApiModel
public class OaNodeManageVO {

    @ApiModelProperty(name = "nodeId", value = "节点ID")
    private String nodeId;
    @ApiModelProperty(name = "config", value = "配置")
    private ConfigVO config;

    public String getNodeId() {
        return nodeId == null ? "" : nodeId.trim();
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public ConfigVO getConfig() {
        return config;
    }

    public void setConfig(ConfigVO config) {
        this.config = config;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"nodeId\":\"")
                .append(nodeId).append('\"');
        sb.append(",\"config\":")
                .append(config);
        sb.append('}');
        return sb.toString();
    }
}
